Holger's Java API

## com.antelmann.genealogy
Class GEventEntry

    java.lang.Object
      com.antelmann.genealogy.GEventImpl
          com.antelmann.genealogy.GEventEntry

All Implemented Interfaces:
  Timed, DBEntry, Taggable<GTag>, GEvent, GeoEncoded, LifeCycleObject, Serializable

    public class GEventEntry

extends GEventImpl
implements DBEntry

Since:
  21.05.2013, 15:35:37
Author:
  holger
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.Taggable
`Taggable.Adapter<T extends Tag>`

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Constructor Summary
`GEventEntry(Object id, String title, long time)`

Method Summary
`boolean` `equals(Object obj)`
`Object` `getID()` returns a immutable, unique and persistent capable identifier for this resource.
`int` `hashCode()`

Methods inherited from class com.antelmann.genealogy.GEventImpl
`add, getBeginTime, getDate, getEndTime, getGeoPoint, getLocation, getTags, getTime, getTitle, isTagged, remove, setEndTime, setGeoPoint, setLocation, setTitle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEventEntry

    public GEventEntry(Object id,
                       String title,
                       long time)

Method Detail

### getID

    public final Object getID()

  Description copied from interface: `DBEntry`
  returns a immutable, unique and persistent capable identifier for this resource. The returned value is unique throughout all instances of this class within a given system or database, respectively. The return value is practically always a `Serializable` for entries that are persistent.

  Specified by:
    `getID` in interface `DBEntry`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `GEventImpl`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `GEventImpl`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads